package netbank.firm.util;

import javax.crypto.Cipher;
import javax.crypto.SecretKey;
import javax.crypto.spec.SecretKeySpec;
import netbank.firm.base.Base64;

public class FOXDesUtil {

   private static byte[] enKey = new byte[]{(byte)1, (byte)16, (byte)2, (byte)32, (byte)51, (byte)103, (byte)-119, (byte)-17};
   private Cipher cipher;
   private SecretKey key;


   private String getPrefix() {
      return "{DES}";
   }

   public FOXDesUtil() throws Exception {
      this.instanceSimpleDESCrypto(enKey);
   }

   private void instanceSimpleDESCrypto(byte[] keyBuf) throws Exception {
      this.cipher = Cipher.getInstance("DES/ECB/PKCS5Padding");
      this.key = new SecretKeySpec(keyBuf, "DES");
   }

   public String doEncrypt(String plainPwd) throws Exception {
      try {
         this.cipher.init(1, this.key);
         byte[] e = this.cipher.doFinal(plainPwd.getBytes());
         String base64 = Base64.encode(e);
         return this.getPrefix() + base64;
      } catch (Exception var4) {
         throw new Exception("Do encrypt occurs Exception.[" + var4.getMessage() + "]", var4);
      }
   }

   public String doDecrypt(String cipherPwd) throws Exception {
      try {
         if(!cipherPwd.startsWith(this.getPrefix())) {
            return cipherPwd;
         } else {
            cipherPwd = cipherPwd.substring(this.getPrefix().length());
            this.cipher.init(2, this.key);
            byte[] e = Base64.decode(cipherPwd);
            byte[] data = this.cipher.doFinal(e);
            return new String(data);
         }
      } catch (Exception var4) {
         throw new Exception("Do decrypt occurs Exception.[" + var4.getMessage() + "]", var4);
      }
   }

   public static void main(String[] args) throws Exception {
      FOXDesUtil util = new FOXDesUtil();
      String encode = util.doEncrypt("111111");
      System.err.println("encode:" + encode);
      String decode = util.doDecrypt(encode);
      System.err.println("decode:" + decode);
   }

}
